- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GPop::Server::Config Struct Reference

A structure containing GPop::Server configuration parameters. More...

`#include <gpopserver.h>`

## Public Member Functions
| Config ()
| Config (bool, unsigned int, const G::Strings &interfaces)

## Public Attributes
bool | allow_remote
unsigned int | port
G::Strings | interfaces

## Detailed Description

A structure containing GPop::Server configuration parameters.

Definition at line 101 of file gpopserver.h.

## Constructor & Destructor Documentation

GPop::Server::Config::Config | ( |  | ) |

Definition at line 146 of file gpopserver.cpp.

GPop::Server::Config::Config | ( | bool | allow_remote_,
|  | unsigned int | port_,
|  | const G::Strings & | interfaces
| ) |  |

Definition at line 152 of file gpopserver.cpp.

## Member Data Documentation

bool GPop::Server::Config::allow_remote

Definition at line 103 of file gpopserver.h.

G::Strings GPop::Server::Config::interfaces

Definition at line 105 of file gpopserver.h.

unsigned int GPop::Server::Config::port

Definition at line 104 of file gpopserver.h.

The documentation for this struct was generated from the following files:

- gpopserver.h
- gpopserver.cpp